# Cinder

# cinder::app::AppImplMswScreenSaver Class Reference

`#include <AppImplMswScreenSaver.h>`

Inherits cinder::app::AppImplMsw.

List of all members.

## Public Member Functions
| AppImplMswScreenSaver (class AppScreenSaver *aApp, HWND aWnd)
virtual | ~AppImplMswScreenSaver ()
void | run ()
void | quit ()
double | getElapsedSeconds () const
LRESULT | eventHandler (HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
int | getWindowWidth () const
int | getWindowHeight () const
virtual void | setWindowWidth (int aWindowWidth)
virtual void | setWindowHeight (int aWindowHeight)
virtual void | setWindowSize (int aWindowWidth, int aWindowHeight)
float | getFrameRate () const
virtual float | setFrameRate (float aFrameRate)
bool | isFullScreen () const
virtual void | toggleFullScreen ()
virtual Vec2i | mouseLocation ()
virtual void | privateSetWindowOffset__ (const Vec2i &aWindowOffset)
## Static Public Member Functions
static void | hideCursor ()
static void | showCursor ()
static Buffer | loadResource (int id, const std::string &type)
static std::string | getAppPath ()
static std::string | getOpenFilePath (const std::string &initialPath, std::vector< std::string > extensions)
static std::string | getSaveFilePath (const std::string &initialPath, std::vector< std::string > extensions)
## Protected Attributes
class AppScreenSaver * | mApp
HWND | mWnd
HDC | mDC
int | mWindowWidth
int | mWindowHeight
bool | mFullScreen
Vec2i | mWindowOffset
float | mFrameRate

## Constructor & Destructor Documentation

cinder::app::AppImplMswScreenSaver::AppImplMswScreenSaver | ( | class AppScreenSaver * | aApp,
|  | HWND | aWnd |
| ) |  |  |

virtual cinder::app::AppImplMswScreenSaver::~AppImplMswScreenSaver | ( |  | ) | `[virtual]`

## Member Function Documentation

void cinder::app::AppImplMswScreenSaver::run | ( |  | ) |

void cinder::app::AppImplMswScreenSaver::quit | ( |  | ) | `[virtual]`

Implements cinder::app::AppImplMsw.

double cinder::app::AppImplMswScreenSaver::getElapsedSeconds | ( |  | ) | const

LRESULT cinder::app::AppImplMswScreenSaver::eventHandler | ( | HWND | hWnd,
|  | UINT | message,
|  | WPARAM | wParam,
|  | LPARAM | lParam |
| ) |  |  |

int cinder::app::AppImplMsw::getWindowWidth | ( |  | ) | const`[inherited]`

int cinder::app::AppImplMsw::getWindowHeight | ( |  | ) | const`[inherited]`

virtual void cinder::app::AppImplMsw::setWindowWidth | ( | int | aWindowWidth | ) | `[virtual, inherited]`

Reimplemented in cinder::app::AppImplMswBasic.

virtual void cinder::app::AppImplMsw::setWindowHeight | ( | int | aWindowHeight | ) | `[virtual, inherited]`

Reimplemented in cinder::app::AppImplMswBasic.

virtual void cinder::app::AppImplMsw::setWindowSize | ( | int | aWindowWidth,
|  | int | aWindowHeight |
| ) |  |  | `[virtual, inherited]`

Reimplemented in cinder::app::AppImplMswBasic.

float cinder::app::AppImplMsw::getFrameRate | ( |  | ) | const`[inherited]`

virtual float cinder::app::AppImplMsw::setFrameRate | ( | float | aFrameRate | ) | `[virtual, inherited]`

Reimplemented in cinder::app::AppImplMswBasic.

bool cinder::app::AppImplMsw::isFullScreen | ( |  | ) | const`[inherited]`

virtual void cinder::app::AppImplMsw::toggleFullScreen | ( |  | ) | `[virtual, inherited]`

Reimplemented in cinder::app::AppImplMswBasic.

Vec2i cinder::app::AppImplMsw::mouseLocation | ( |  | ) | `[virtual, inherited]`

virtual void cinder::app::AppImplMsw::privateSetWindowOffset__ | ( | const Vec2i & | aWindowOffset | ) | `[virtual, inherited]`

void cinder::app::AppImplMsw::hideCursor | ( |  | ) | `[static, inherited]`

void cinder::app::AppImplMsw::showCursor | ( |  | ) | `[static, inherited]`

Buffer cinder::app::AppImplMsw::loadResource | ( | int | id,
|  | const std::string & | type |
| ) |  |  | `[static, inherited]`

std::string cinder::app::AppImplMsw::getAppPath | ( |  | ) | `[static, inherited]`

string cinder::app::AppImplMsw::getOpenFilePath | ( | const std::string & | initialPath,
|  | std::vector< std::string > | extensions |
| ) |  |  | `[static, inherited]`

string cinder::app::AppImplMsw::getSaveFilePath | ( | const std::string & | initialPath,
|  | std::vector< std::string > | extensions |
| ) |  |  | `[static, inherited]`

## Member Data Documentation

class AppScreenSaver* cinder::app::AppImplMswScreenSaver::mApp`[protected]`

Reimplemented from cinder::app::AppImplMsw.

HWND cinder::app::AppImplMswScreenSaver::mWnd`[protected]`

HDC cinder::app::AppImplMswScreenSaver::mDC`[protected]`

int cinder::app::AppImplMsw::mWindowWidth`[protected, inherited]`

int cinder::app::AppImplMsw::mWindowHeight`[protected, inherited]`

bool cinder::app::AppImplMsw::mFullScreen`[protected, inherited]`

Vec2i cinder::app::AppImplMsw::mWindowOffset`[protected, inherited]`

float cinder::app::AppImplMsw::mFrameRate`[protected, inherited]`

The documentation for this class was generated from the following files:

- include/cinder/app/AppImplMswScreenSaver.h
- src/cinder/app/AppImplMswScreenSaver.cpp